Subject: Re: [PATCH V2] clockevents: Fix cpu down race for hrtimer based broadcasting

From: Preeti U Murthy <[email-masked]>
Date: Thu, 02 Apr 2015 18:14:18 +0530

On 04/02/2015 05:42 PM, Ingo Molnar wrote:
> 
> * Peter Zijlstra <[email-masked]> wrote:
> 
>> On Thu, Apr 02, 2015 at 12:42:27PM +0200, Ingo Molnar wrote:
>>> So why not use a suitable CPU_DOWN* notifier for this, instead of open 
>>> coding it all into a random place in the hotplug machinery?
>>
>> Because notifiers are crap? ;-) [...]
> 
> No doubt - but I didn't feel this poorly named random call into the 
> hotplug code, with no comments was any better.
> 
>> [...] Its entirely impossible to figure out what's happening to core 
>> code in hotplug. You need to go chase down and random order notifier 
>> things.
>>
>> I'm planning on taking out many of the core hotplug notifiers and 
>> hard coding their callbacks into the hotplug code.
> 
> That's very welcome news - but please also lets put in place a proper 
> namespace for all these callbacks, to make them easy to find and 
> change: hotplug_cpu__*() or so, which in this case would turn into 
> hotplug_cpu__tick_pull() or so?
> 
>> That way at least its clear wtf happens when.
> 
> Okay. I'll resurrect the fix with a hotplug_cpu__tick_pull() name - 
> agreed?

Sounds good to me. This needs to be marked to stable also.

Regards
Preeti U Murthy